# $Revision: 1.48 $, $Date: 2012/05/28 23:24:28 $
# TODO:
# - Gstreamer error: "A text/uri-list decoder plugin is required to play this stream, but not installed."
# - apply patches to libprojectM.spec and use
#
# Conditional build:
%bcond_without	static_sqlite	# with static sqlite3
%bcond_with	static_projectm	# with static projectM

%define     	qtver	%(pkg-config --silence-errors --modversion QtCore 2>/dev/null || echo ERROR)
Summary:	A music player and library organiser
Summary(hu.UTF-8):	Egy zenelejátszó és gyűjtemény-kezelő
Name:		clementine
Version:	1.0.1
Release:	4
License:	GPL v3 and GPL v2+
Group:		Applications/Multimedia
URL:		http://www.clementine-player.org/
Source0:	http://clementine-player.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	54dc47eb2de5960cd1654e1249a59bc6
Patch0:		desktop-install.patch
Patch1:		unbundle-po.patch
Patch2:		libimobiledevice-1.1.2.patch
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtIOCompressor-devel
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtSingleApplication-devel >= 2.6-4
BuildRequires:	QtSql-devel >= %{qtver}
%{?with_tests:BuildRequires:	QtTest-devel >= %{qtver}}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.6
#%{?with_static_projectm:BuildRequires:	ftgl-devel >= 2.1.3}
BuildRequires:	gettext-devel
%{?with_static_projectm:BuildRequires:	glew-devel}
BuildRequires:	glib2-devel
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gtest-devel
BuildRequires:	libgpod-devel >= 0.7.92
BuildRequires:	libimobiledevice-devel
BuildRequires:	libindicate-qt-devel
BuildRequires:	liblastfm-devel >= 0.3.3
BuildRequires:	libmtp-devel
BuildRequires:	libplist-devel
%{!?with_static_projectm:BuildRequires:	libprojectM-devel >= 1:2.0.1-4}
BuildRequires:	libqxt-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig
BuildRequires:	protobuf-devel
BuildRequires:	qjson-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(find_lang) >= 1.33
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sed >= 4.0
%{!?with_static_sqlite:BuildRequires:	sqlite3-devel}
BuildRequires:	taglib-devel >= 1.6
BuildRequires:	usbmuxd-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	QtSingleApplication >= 2.6-4
%{!?with_static_sqlite:Requires:	QtSql-sqlite3 >= %{qtver}}
Requires:	gstreamer-audio-effects-base
# while we do not link (yet), we use datafiles
Requires:	libprojectM
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# see libprojectM.spec for explanation
%define		filterout_ld	-Wl,--as-needed -Wl,--no-copy-dt-needed-entries

%description
Clementine is a modern music player and library organiser. It is
largely a port of Amarok 1.4, with some features rewritten to take
advantage of Qt4.

%description -l hu.UTF-8
Clementine egy modern zenelejátszó és gyűjtemény kezelő. Túlnyomórészt
az Amarok 1.4 port-ja, néhány funkciója újraírva, hogy kihasználhassa
a Qt4 előnyeit.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# We already don't use these but just to make sure
rm -rf 3rdparty/gmock
%{!?with_static_sqlite:rm -rf 3rdparty/qsqlite}
rm -rf 3rdparty/qtsingleapplication
rm -rf 3rdparty/qxt
rm -rf 3rdparty/qtiocompressor
%{!?with_static_projectm:rm -rf 3rdparty/libprojectM}

# Don't build tests. They require gmock
sed -i -e '/add_subdirectory(tests)/d' CMakeLists.txt
# remove -Wall
sed -i -e 's/-Wall//' src/CMakeLists.txt

%build
install -d build
install -d build/src/translations
cd build
%cmake \
	-DBUNDLE_PROJECTM_PRESETS=OFF \
	-DUSE_SYSTEM_QTSINGLEAPPLICATION=ON \
        -DQTSINGLEAPPLICATION_INCLUDE_DIRS=%{_includedir}/qt4/QtSolutions/ \
	-DUSE_SYSTEM_QXT=ON \
	-DUSE_SYSTEM_PROJECTM=ON \
	-DSTATIC_SQLITE=%{?with_static_sqlite:ON}%{!?with_static_sqlite:OFF} \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/application-x-clementine.svg

%find_lang %{name} --with-qm

install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/24x24/apps
cp -a dist/icons/ubuntu-mono-light/clementine-panel-grey.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/24x24/apps/clementine-panel-grey.png
cp -a dist/icons/ubuntu-mono-light/clementine-panel.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/24x24/apps/clementine-panel.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog
%attr(755,root,root) %{_bindir}/clementine
%{_desktopdir}/clementine.desktop
%{_pixmapsdir}/clementine.png
%{_iconsdir}/hicolor/*/apps/clementine-panel-grey.png
%{_iconsdir}/hicolor/*/apps/clementine-panel.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clementine.spec,v $
Revision 1.48  2012/05/28 23:24:28  glen
- release 4

Revision 1.47  2012/04/06 19:20:48  glen
- libimobiledevice-1.1.2.patch

Revision 1.46  2012/03/30 23:11:08  arekm
- release 2

Revision 1.45  2012/01/28 13:47:39  atler
- up to 1.0.1
- BR: protobuf-devel, qjson-devel
- BR: liblastfm-devel >= 0.3.3 (for <lastfm/ScrobbleCache>)

Revision 1.44  2011/08/31 07:01:05  arekm
- release 4

Revision 1.43  2011/05/12 17:28:01  glen
- release 3

Revision 1.42  2011/04/13 16:55:33  lmasko
- Adjusted to latest modifications in QtSingleApplication-devel
  (maybe not in the best way, but compiles and seems to work).

Revision 1.41  2011/04/01 08:42:29  uzsolt
- 0.7.1

Revision 1.40  2011/03/30 14:33:29  cactus
- drop -Wall - uninitialised variables breaks build

Revision 1.39  2011/03/30 01:03:11  cactus
- clean up

Revision 1.38  2011/03/29 19:27:32  arvenil
- vlc, xine and phonon engines were removed; now there is only gstreamer

Revision 1.37  2011/03/29 18:42:10  arvenil
- up to 0.7

Revision 1.36  2011/03/26 22:45:03  cactus
- install panel icons

Revision 1.35  2011/03/26 22:12:06  cactus
- up to 0.7 rc1

Revision 1.34  2011/02/04 18:23:38  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.33  2011/01/22 15:36:27  sparky
- fixed find_lang BR version
- create build/src/translations dir because cmake fails to do so
- dropped unused BR: QtXmlPatterns-devel, libnotify-devel,
  notification-daemon, phonon

Revision 1.32  2010/12/21 17:08:12  glen
- package panel icons; rel 2

Revision 1.31  2010/12/20 10:53:31  glen
- strict qt deps:
  Cannot mix incompatible Qt library (version 0x1040700) with this library (version 0x1040701)

Revision 1.30  2010/12/19 00:21:59  glen
- requires "volume" gst element

Revision 1.29  2010/12/15 23:17:43  glen
- BR QtXmlPatterns-devel

Revision 1.28  2010/12/15 23:10:39  arvenil
- up to 0.6

Revision 1.27  2010/12/08 22:24:06  glen
- up to 0.6rc1 tarball

Revision 1.26  2010/12/08 22:21:52  glen
- release 3

Revision 1.25  2010/10/21 12:56:48  glen
- needs qt 4.5 (at least) for lconvert tool

Revision 1.24  2010/10/20 11:01:52  glen
- unbundle translations, tag with %lang

Revision 1.23  2010/10/18 17:03:04  glen
- enable idevice, mpt support, update deps from cmake rules; rel 2

Revision 1.22  2010/10/01 15:33:54  cactus
- up to 0.5.3

Revision 1.21  2010/09/27 22:55:59  uzsolt
- 0.5.2

Revision 1.20  2010/09/22 15:15:42  glen
- up to 0.5.1

Revision 1.19  2010/09/06 14:46:02  glen
- QtSingleApplication runtime dep as well

Revision 1.18  2010/09/06 13:54:36  glen
- up to 0.5, builds

Revision 1.17  2010/07/25 19:14:25  glen
- tune defaults to ones that work

Revision 1.16  2010/07/13 07:56:45  glen
- static projectm bcond, bcond other br

Revision 1.15  2010/07/10 21:53:44  cactus
- clementine has problems with stripped libqsqlite.so add bcond to build with static sqlite3

Revision 1.14  2010/07/08 16:34:03  glen
- sqlite-devel is definately bogus

Revision 1.13  2010/07/08 16:18:19  glen
- disable experimental engines, especially vlc that pulls so many deps

Revision 1.12  2010/07/07 07:27:12  glen
- up to 0.4.2

Revision 1.11  2010/06/29 20:56:37  arvenil
- -static.patch already in sources

Revision 1.10  2010/06/29 20:53:18  arvenil
- desktop-install.patch up to 0.4

Revision 1.9  2010/06/29 05:12:42  uzsolt
- 0.4
- doesn't build, need some work

Revision 1.8  2010/05/18 19:14:39  uzsolt
- R qtsql-sqlite3
- hu
- gstreamer-uri-text todo

Revision 1.7  2010/05/16 19:55:26  sparky
- dash ("-") is not allowed in macro (including bcond) names
- BR: gettext-devel, gstreamer-devel, phonon-devel, pkgconfig, vlc-devel

Revision 1.6  2010/05/16 18:42:36  arvenil
- initial up to 0.3

Revision 1.5  2010/05/16 00:34:50  sparky
- BR: QtCore-devel, QtDBus-devel, QtGui-devel, QtNetwork-devel, QtOpenGL-devel,
  QtSql-devel, QtTest-devel, qt4-linguist, qt4-qmake, sqlite3-devel

Revision 1.4  2010/04/24 11:44:08  glen
- update-desktop-database

Revision 1.3  2010/04/24 11:17:49  glen
- install icon to pixmapsdir to avoid invoking gtk-update-icon-cache in %post in gnome

Revision 1.2  2010/04/24 10:15:48  glen
- builds

Revision 1.1  2010/04/22 18:54:30  glen
- new, based on https://bugzilla.redhat.com/show_bug.cgi?id=583327
